curl --request GET \
--url https://int-api.mx.com/users/{user_identifier}/jobs/{job_guid} \
--header 'Accept-Version: <accept-version>' \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://int-api.mx.com/users/{user_identifier}/jobs/{job_guid}"
headers = {
"Accept-Version": "<accept-version>",
"Authorization": "Basic <encoded-value>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Accept-Version': '<accept-version>', Authorization: 'Basic <encoded-value>'}
};
fetch('https://int-api.mx.com/users/{user_identifier}/jobs/{job_guid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"job": {
"created_at": "2025-02-13T18:08:00+00:00",
"error_message": null,
"error_message_code": null,
"finished_at": "2022-06-16T18:42:43+00:00",
"institution_guid": "INS-1572a04c-912b-59bf-5841-332c7dfafaef",
"is_authenticated": true,
"member_guid": "MBR-84ca0882-ad6c-4f10-817f-c8c0de7424fa",
"started_at": "2022-06-16T18:42:30+00:00",
"status": 6,
"status_name": "COMPLETED",
"updated_at": "2022-06-16T18:42:43+00:00",
"user_guid": "USR-11141024-90b3-1bce-cac9-c06ced52ab4c"
}
}Read job
Use this endpoint to read the attributes of a specific job.
Warning: New implementations shouldn’t use this endpoint. It is maintained for compatibility with our Nexus API only.
Authorizations
The MX Platform API requires basic access authentication using your client_id and api_key. These credentials must be Base64 encoded and included in the Authorization header of each API request to ensure secure access.
Here's an example using curl to access v20250224. Replace https://int-api.mx.com/endpoint with the actual API endpoint you wish to access and your Base64 encoded client_id and api_key.
curl -L -X POST `https://int-api.mx.com/endpoint' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Accept-Version: v20250224'
-H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:api_key}'
Headers
MX Platform API version.
"v20250224"
Path Parameters
Use either the user id you defined or the MX-defined user guid. See MX-Defined GUIDs vs IDs Defined by You.
The unique identifier for the job. Defined by MX.
Response
OK
Hide child attributes
Hide child attributes
The date and time the institution was created, represented in ISO 8601 format with a timestamp.
"2025-02-13T18:08:00+00:00"
If the job returns an error, this field will contain the message of the error.
null
Date and time the job finished, represented in ISO 8601 format with timestamp.
null
The date and time the job finished, represented in ISO 8601 format with a timestamp.
"2022-06-16T18:42:43+00:00"
Unique identifier for the institution the job is attached to. Defined by MX.
"INS-1572a04c-912b-59bf-5841-332c7dfafaef"
If the member's credentials have been authenticated, this field will be true. Otherwise, this field will be false.
true
Unique identifier for the member the job is attached to. Defined by MX.
"MBR-84ca0882-ad6c-4f10-817f-c8c0de7424fa"
Date and time the job started, represented in ISO 8601 format with timestamp.
"2022-06-16T18:42:30+00:00"
The status of the job.
6
The name of the status.
"COMPLETED"
Date and time the job was updated, represented in ISO 8601 format with timestamp.
"2022-06-16T18:42:43+00:00"
Unique identifier for the user the job is attached to. Defined by MX.
"USR-11141024-90b3-1bce-cac9-c06ced52ab4c"

